=== test/CMakeLists.txt ===
SUBDIRS(
	ContentParser
	CreationTest
	DeviceTest
	FilterTest
	FormTest
	LargeTest
	ObjectParserTest
	ParserTest
	SignatureTest
	TokenizerTest
	VariantTest
	WatermarkTest
	unit
	)
