=== tools/CMakeLists.txt ===
SUBDIRS(
	podofobox
	podofocolor
        podofocountpages
        podofocrop
	podofoencrypt
	podofogc
	podofoimgextract
	podofoimg2pdf
	podofomerge
	podofopages
	podofopdfinfo
	podofotxt2pdf
	podofotxtextract
	podofouncompress
	podofoimpose
	podofoincrementalupdates
	podofoxmp
	)
