=== test/ParserTest/CMakeLists.txt ===
ADD_EXECUTABLE(ParserTest ParserTest.cpp)
TARGET_LINK_LIBRARIES(ParserTest ${PODOFO_LIB} ${PODOFO_LIB_DEPEND} )
SET_TARGET_PROPERTIES(ParserTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(ParserTest ${PODOFO_DEPEND_TARGET})
