=== tools/podofobox/CMakeLists.txt ===
ADD_EXECUTABLE(podofobox podofobox.cpp boxsetter.cpp)

TARGET_LINK_LIBRARIES(podofobox ${PODOFO_LIB})
SET_TARGET_PROPERTIES(podofobox PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(podofobox ${PODOFO_DEPEND_TARGET})
INSTALL(TARGETS podofobox
	RUNTIME DESTINATION "bin")
