=== debian/changelog ===
libpodofo (0.9.3-4) unstable; urgency=medium

  * debian/control:
    + [2191c2f] add Vcs-{Git,Browser} fields.
    + [6045525] bump Standards-Version to 3.9.7, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Mar 2016 00:47:22 +0000

libpodofo (0.9.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Jan 2016 23:02:04 +0000

libpodofo (0.9.3-2) experimental; urgency=medium

  * [5c9520e] debian/copyright: add src/base/PdfEncrypt.cpp with its own
    different copyright and license.
  * [9c11ffe] debian/control: remove libcppunit-dev from Build-Depends.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Jan 2016 02:13:52 +0000

libpodofo (0.9.3-1) experimental; urgency=medium

  * [3c58af8] Imported Upstream version 0.9.3.  Closes: #660163, #806578
    + [400586e] debian/patches: drop freetype_multiarch and
      freetype_strikes_back as not needed anymore.
  * [6df14da] debian/{control,copyright}: take over the maintenance from malex.
  * [623244e] debian/{control,compat}: use compat level 9
  * debian/rules:
    + [ceea6ac] Rewrite using dh short format.
      - [dc7c312] debian/*.dirs: remove as useless now.
    + [f6a73cc] Remove some useless config flags.
    + [d000e53] Use dh_install --fail-missing.
    + [720ef58] Don't compress .pdf and .plan files.
    + [eb47012] Enable hardening.
  * debian/control:
    + [cf61ecb] Run wrap-and-sort.
    + [bc815bf] Bump Standards-Version to 3.9.6, no changes needed.
    + [2f0654e] Add some build-depends to enable optional features.
    + [8d64c36] Remove useless build-dependency on quilt.
    + [e5d72fa] Remove old and nowadays useless Replaces/Conflicts/Provides.
  * [4c0c7f1] Install the manpages using upstream's cmake rules, instead of
    listing all of them in debian/*.manpages.
  * [693131f] new SONAME, change library package name.
  * [c0a13c7] debian/libpodofo-utils.install: install some examples files for
    podofoimpose.  Closes: #639869
  * [d0c2ae6,128b998] debian/copyright: update.
  * [a8b91e6] debian/patches/FindZLIB.cmake: add a small description header.
  * [0a6b248] debian/watch: remove pointless comments.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 17 Jan 2016 18:30:58 +0000

libpodofo (0.9.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Import libstdc++ transition changes from Ubuntu (Closes: #791156)

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Aug 2015 08:12:00 +0100
