=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DWANT_FONTCONFIG:BOOL=TRUE \
	    -DWANT_BOOST:BOOL=1 \
	    -DPODOFO_BUILD_SHARED:BOOL=TRUE \
	    -DPODOFO_BUILD_STATIC:BOOL=FALSE \

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -X .pdf -X .plan
