=== debian/watch ===
version=3

opts=dversionmangle=s/\+svn[0-9]+// http://sf.net/podofo/podofo-(.*)\.tar\.gz
