## libpodofo 0.9.4

=== debian/changelog ===
libpodofo (0.9.4-6) unstable; urgency=high

  * Add upstream patches for security issues:
    + CVE-2017-5855 Closes: #854603
    + CVE-2017-6840 Closes: #861557
    + CVE-2017-6842 Closes: #861559
    + CVE-2017-6843 Closes: #861560
    + CVE-2017-6847 Closes: #861564
    + CVE-2017-6848 Closes: #861565
    + CVE-2017-7378 Closes: #859330
    + CVE-2017-7380 CVE-2017-7381 CVE-2017-7382 CVE-2017-7383 Closes: #859329

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 17 May 2017 14:54:40 +0200

libpodofo (0.9.4-5) unstable; urgency=high

  * Add upstream patches for security issues:
    + CVE-2017-5853 Closes: #854601
    + CVE-2017-6844 Closes: #861561
    + CVE-2017-5854 Closes: #854602
    + CVE-2017-5886 Closes: #854604
    + CVE-2017-7379 Closes: #859331

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 03 May 2017 11:41:19 +0200

libpodofo (0.9.4-4) unstable; urgency=medium

  * d/watch: fixup.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 08 Dec 2016 15:10:41 +0100

libpodofo (0.9.4-3) unstable; urgency=medium

  * Bump debhelper compat level to 10.
    Drop explicit --parallel option, now default.
  * Add patch to make the PoDoFo compatible with OpenSSL 1.1.0 API.
    Thanks to Reiner Herrmann <reiner@reiner-h.de> for the patch.
    Closes: #828407
  * Install the docs also in libpodofo-utils.
  * d/watch: bump to version 4 and use of new substitutions patterns to catch
    eventual non-gzip releases.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Oct 2016 23:32:42 +0000

libpodofo (0.9.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 20 Jun 2016 10:57:17 +0000

libpodofo (0.9.4-1) experimental; urgency=medium

  * Imported Upstream version 0.9.4.
  * debian/control: Bump Standards-Version to 3.9.8, no changes needed.
  * debian/copyright: update.
  * Refresh patches.
  * debian/watch: be more clever about rc releases.
  * Change package name after SONAME change.
  * d/man/podofocolor.1: fix syntax error.
  * d/man/podofoxmp: fix typos.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 14 Jun 2016 09:45:43 +0000
