=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  libfontconfig1-dev,
  libfreetype6-dev (>= 2.5),
  libidn11-dev,
  libjpeg-dev,
  liblua5.1-0-dev,
+ libssl-dev,
+ libtiff-dev,
  zlib1g-dev,
- libssl-dev,
- libtiff-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libdevel
 Homepage: http://podofo.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpodofo.git
@@ -21,8 +21,8 @@
 Package: libpodofo-dev
 Architecture: any
 Depends:
- libpodofo0.9.3 (= ${binary:Version}),
- ${misc:Depends}
+ libpodofo0.9.4 (= ${binary:Version}),
+ ${misc:Depends},
 Description: PoDoFo development files
  The PoDoFo library is a free, portable C++ library which includes classes to
  parse PDF files and modify their contents into memory. The changes can be
@@ -38,9 +38,9 @@
 Package: libpodofo-utils
 Architecture: any
 Depends:
- libpodofo0.9.3 (= ${binary:Version}),
+ libpodofo0.9.4 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: PoDoFo utilities
  The PoDoFo library is a free, portable C++ library which includes classes to
  parse PDF files and modify their contents into memory. The changes can be
@@ -52,12 +52,12 @@
  .
  This package contains tools for working with PDF files.
 
-Package: libpodofo0.9.3
+Package: libpodofo0.9.4
 Section: libs
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: PoDoFo - library to work with the PDF file format
  The PoDoFo library is a free, portable C++ library which includes classes to
  parse PDF files and modify their contents into memory. The changes can be
