## libpodofo 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 SET(PODOFO_VERSION_MAJOR "0" CACHE STRING "Major part of PoDoFo version number")
 SET(PODOFO_VERSION_MINOR "9" CACHE STRING "Minor part of PoDoFo version number")
-SET(PODOFO_VERSION_PATCH "3" CACHE STRING "Patchlevel part of PoDoFo version number")
+SET(PODOFO_VERSION_PATCH "5" CACHE STRING "Patchlevel part of PoDoFo version number")
 SET(PODOFO_SOVERSION "${PODOFO_VERSION_MAJOR}.${PODOFO_VERSION_MINOR}.${PODOFO_VERSION_PATCH}")
 SET(PODOFO_LIBVERSION "${PODOFO_SOVERSION}")
 
@@ -22,9 +22,17 @@
 #
 INCLUDE(CheckIncludeFile)
 INCLUDE(CheckLibraryExists)
-INCLUDE(UsePkgConfig)
 INCLUDE(TestBigEndian)
 INCLUDE(CheckTypeSize)
+
+#
+# Setup CMake Policies
+#
+
+# Prefer files in CMAKE_MODULE_PATH over shipped ones in module directory
+CMAKE_POLICY(SET CMP0017 NEW) # https://cmake.org/cmake/help/v3.0/policy/CMP0017.html
+# Do not use export_library_dependencies() anymore
+CMAKE_POLICY(SET CMP0033 NEW) # https://cmake.org/cmake/help/v3.0/policy/CMP0033.html
 
 # Load modules from our source tree too
 SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
@@ -35,19 +43,35 @@
 # variable here that we require to be set elsewhere, otherwise we'll complain.
 SET(PODOFO_MAIN_CMAKELISTS_READ TRUE)
 
-
 # If the user hasn't told use specifically what they want, build only
-# a static library.
+# a static library or only a shared library on Windows.
 IF(NOT DEFINED PODOFO_BUILD_SHARED AND NOT DEFINED PODOFO_BUILD_STATIC)
-    SET(PODOFO_BUILD_STATIC TRUE)
-    SET(PODOFO_BUILD_SHARED FALSE)
+    IF(WIN32)
+        SET(PODOFO_BUILD_STATIC FALSE)
+        SET(PODOFO_BUILD_SHARED TRUE)
+    ELSE(WIN32)
+        SET(PODOFO_BUILD_STATIC TRUE)
+        SET(PODOFO_BUILD_SHARED FALSE)
+    ENDIF(WIN32)
 ENDIF(NOT DEFINED PODOFO_BUILD_SHARED AND NOT DEFINED PODOFO_BUILD_STATIC)
 IF(DEFINED PODOFO_BUILD_SHARED AND NOT DEFINED PODOFO_BUILD_STATIC)
-    SET(PODOFO_BUILD_SHARED NOT ${PODOFO_BUILD_SHARED})
+    IF(PODOFO_BUILD_SHARED)
+        SET(PODOFO_BUILD_STATIC FALSE)
+    ELSE(PODOFO_BUILD_SHARED)
+        SET(PODOFO_BUILD_STATIC TRUE)
+    ENDIF(PODOFO_BUILD_SHARED)
 ENDIF(DEFINED PODOFO_BUILD_SHARED AND NOT DEFINED PODOFO_BUILD_STATIC)
 IF(NOT DEFINED PODOFO_BUILD_SHARED AND DEFINED PODOFO_BUILD_STATIC)
-    SET(PODOFO_BUILD_SHARED NOT ${PODOFO_BUILD_STATIC})
+    IF(PODOFO_BUILD_STATIC)
+        SET(PODOFO_BUILD_SHARED FALSE)
+    ELSE(PODOFO_BUILD_STATIC)
+        SET(PODOFO_BUILD_SHARED TRUE)
+    ENDIF(PODOFO_BUILD_STATIC)
 ENDIF(NOT DEFINED PODOFO_BUILD_SHARED AND DEFINED PODOFO_BUILD_STATIC)
+
+IF(DEFINED LIB_SUFFIX)
+	SET(LIBDIRNAME "lib${LIB_SUFFIX}")
+ELSE(DEFINED LIB_SUFFIX)
 
 # Some 64 bit linux distros use /usr/lib64 for 64 bit libraries.
 # on these platforms we must
@@ -62,6 +86,8 @@
 ELSE(WANT_LIB64)
 	SET(LIBDIRNAME "lib")
 ENDIF(WANT_LIB64)
+
+ENDIF(DEFINED LIB_SUFFIX)
 MESSAGE("Will install libraries to ${CMAKE_INSTALL_PREFIX}/${LIBDIRNAME}")
 
 # Some headers that tend to vary a bit
@@ -153,19 +179,22 @@
            SET(pdfuint64 "unsigned long int")
 	   CHECK_TYPE_SIZE("long int" SZ_INT64)
          ELSE(SZ_LONG == 8 AND SZ_ULONG == 8)
-           # See if the compiler implements "long long int", _int64, int64, __int64 or int64_t
+           # See if the compiler implements "long long int", int64_t, int64,
+           # or _int64 (in this order, __int64 check already done)
            IF(PODOFO_HAVE_SYS_TYPES_H)
              SET(CMAKE_EXTRA_INCLUDE_FILES "sys/types.h")
            ENDIF(PODOFO_HAVE_SYS_TYPES_H)
            CHECK_TYPE_SIZE("long long int"          SZ_LONG_LONG)
            CHECK_TYPE_SIZE("unsigned long long int" SZ_UNSIGNED_LONG_LONG)
            IF(SZ_LONG_LONG == 8 AND SZ_UNSIGNED_LONG_LONG == 8)
-             SET(pdfint64 "long int")
-             SET(pdfuint64 "unsigned long int")
-	     CHECK_TYPE_SIZE("long int" SZ_INT64)
+             SET(pdfint64 "long long int")
+             SET(pdfuint64 "unsigned long long int")
+             CHECK_TYPE_SIZE("long long int" SZ_INT64)
            ELSE(SZ_LONG_LONG == 8 AND SZ_UNSIGNED_LONG_LONG == 8)
-             CHECK_TYPE_SIZE("int64_t"                SZ_INT64_T)
-             CHECK_TYPE_SIZE("uint64_t"               SZ_UINT64_T)
+             # The standard type int64_t is normally found in stdint.h,
+             # but use a type of this name anyway if present
+             CHECK_TYPE_SIZE("int64_t"       SZ_INT64_T)
+             CHECK_TYPE_SIZE("uint64_t"      SZ_UINT64_T)
              IF(SZ_INT64_T AND SZ_UINT64_T)
                SET(pdfint64 "int64_t")
                SET(pdfuint64 "uint64_t")
@@ -221,18 +250,9 @@
 TEST_BIG_ENDIAN(TEST_BIG)
 
 IF(WIN32)
-    # On win32 we support EITHER shared OR static builds.
-    # If both are enabled (default), turn off generation of the
-    # static library.
-    IF(PODOFO_BUILD_SHARED AND PODOFO_BUILD_STATIC)
-         MESSAGE("Both PODOFO_BUILD_SHARED and PODOFO_BUILD_STATIC set")
-         MESSAGE("  so disabling shared library generation (win32)")
-         SET(PODOFO_BUILD_SHARED FALSE)
-         SET(PODOFO_BUILD_STATIC TRUE)
-    ENDIF(PODOFO_BUILD_SHARED AND PODOFO_BUILD_STATIC)
     # We must explicitly link to the core win32 libraries, and we need winsock2
     # to get some byte-order conversion routines too.
-    SET(PLATFORM_SYSTEM_LIBRARIES kernel32 user32 gdi32 winspool comdlg32 advapi32 shell32 ole32 oleaut32 uuid WS2_32)
+    SET(PLATFORM_SYSTEM_LIBRARIES kernel32 user32 gdi32 winspool comdlg32 advapi32 shell32 ole32 oleaut32 uuid ws2_32)
     # Microsoft deprecate certain POSIX functions that we use.
     # for now, turn off these warnings.
     ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
@@ -247,16 +267,3 @@
 
 IF(UNIX AND NOT PODOFO_NO_FONTMANAGER)
     SET(WANT_FONTCONFIG TRUE CACHE INTERNAL
-        "True if PoDoFo should be built with fontconfig support")
-ELSE(UNIX AND NOT PODOFO_NO_FONTMANAGER)
-    SET(WANT_FONTCONFIG FALSE CACHE INTERNAL
-        "True if PoDoFo should be built with fontconfig support")
-ENDIF(UNIX AND NOT PODOFO_NO_FONTMANAGER)
-
-
-IF(CMAKE_COMPILER_IS_GNUCXX)
-    MESSAGE("Using gcc specific compiler options")
-    # We can be more specific about what we want out of g++
-    # than with most other compilers.
-
-    # Attempt to detect the gcc version. You must not rely on
