=== tools/podofosign/CMakeLists.txt ===
ADD_EXECUTABLE(podofosign podofosign.cpp)

TARGET_INCLUDE_DIRECTORIES(podofosign PUBLIC ${LIBCRYPTO_INCLUDE_DIR})
TARGET_LINK_LIBRARIES(podofosign ${PODOFO_LIB})
SET_TARGET_PROPERTIES(podofosign PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(podofosign ${PODOFO_DEPEND_TARGET})
INSTALL(TARGETS podofosign
	RUNTIME DESTINATION "bin")
