=== debian/changelog ===
libpodofo (0.9.5-9) unstable; urgency=medium

  * Add upstream patches for security issues:
    + CVE-2017-6845 Closes: #861562
    + CVE-2017-8054 Closes: #860995
    + CVE-2017-8378 Closes: #861597
    + CVE-2018-5295 Closes: #889511
    + CVE-2018-5308
  * d/control:
    + Move the packaging to salsa.debian.org.
    + Bump Standards-Version to 4.1.3, no changes needed.
    + Move libpodofo-utils to section utils.
  * d/rules: Move from the deprecated dh_install --fail-missing to dh_missing.
  * d/copyright: Bump copyright year for debian/*.
  * Bump debhelper compat level to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 24 Feb 2018 11:38:43 +0100

libpodofo (0.9.5-8) unstable; urgency=medium

  * Bump shlibs version due to the added symbol in the previous upload.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Nov 2017 16:13:05 +0100

libpodofo (0.9.5-7) unstable; urgency=medium

  * Add upstream patches for security issues:
    + CVE-2017-5852 Closes: #854600
    + CVE-2017-7994 Closes: #860930
    + CVE-2017-8787 Closes: #861738
  * debian/control:
    + Bump Standards-Version to 4.1.1:
      - Move from priority extra (deprecated) to optional.
    + Declare that libpodofo can be built without root: R³:no.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Nov 2017 15:36:06 +0100

libpodofo (0.9.5-6) unstable; urgency=medium

  * Add patch removing -stdc++98 from the compiler flags.
    This fixes an FTBFS with cppunit 1.14.  Closes: #868911

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 31 Jul 2017 17:54:12 +0200

libpodofo (0.9.5-5) unstable; urgency=medium

  * Add dependency on libssl-dev and libboost-dev to libpodofo-dev.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 21 Jun 2017 21:46:25 +0200

libpodofo (0.9.5-4) experimental; urgency=medium

  * d/copyright: correct xyz's email address.
  * Merge branch Debian uploads 0.9.4-5 and 0.9.4-6 into experimental, to get
    the security fixes here too.
  * Refresh patches.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 23 May 2017 23:11:01 +0200

libpodofo (0.9.5-3) experimental; urgency=medium

  * Drop symbols file, symbols changes across all architectures, so it's too
    painful to track, and useless for this library.
  * Override lintian tag no-symbols-control-file.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 15 Feb 2017 23:27:29 +0100

libpodofo (0.9.5-2) experimental; urgency=medium

  * d/copyright: update
  * d/patches:
    + fix_test_on_32bit.patch: add to fix FTBFS on 32 bit architectures.
    + spelling_fixes.patch: add to fix some spelling errors.
  * d/man/*:
    + Update manpages from upstream.
    + Fix a spelling error.
  * d/*.doc-base: Register doc-base to libpodofo-dev and libpodofo-utils.
  * d/libpodofo0.9.5.symbols: add for proper symbol version tracking (despite
    this library changing SONAME with every single upstream release, so a tad
    pointless, but doesn't harm…).

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 15 Feb 2017 21:36:20 +0100

libpodofo (0.9.5-1) experimental; urgency=medium

  * New upstream version 0.9.5.
  * d/p/OpenSSL_1.1.0.patch: drop, applied upstream.
  * d/p/FindZLIB.cmake: drop, not really needed, and better have fewer patches.
  * d/libpodofo-dev.install: Install the new pkgconfig file.
  * Rename binary package after SONAME bump: libpodofo0.9.4 → libpodofo0.9.5.
  * d/control:
    + Add build-dependency on libcppunit-dev to build the tests.
    + Add build-dependency on libboost-dev to actually enable boost support.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 08 Feb 2017 18:11:53 +0100
