=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: libpodofo
-Priority: extra
+Priority: optional
+Section: libdevel
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
+ libboost-dev,
+ libcppunit-dev,
  libfontconfig1-dev,
  libfreetype6-dev (>= 2.5),
  libidn11-dev,
@@ -12,16 +15,18 @@
  libssl-dev,
  libtiff-dev,
  zlib1g-dev,
-Standards-Version: 3.9.8
-Section: libdevel
-Homepage: http://podofo.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpodofo.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libpodofo.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Homepage: http://podofo.sourceforge.net
+Vcs-Git: https://salsa.debian.org/debian/libpodofo.git
+Vcs-Browser: https://salsa.debian.org/debian/libpodofo
 
 Package: libpodofo-dev
 Architecture: any
 Depends:
- libpodofo0.9.4 (= ${binary:Version}),
+ libboost-dev,
+ libpodofo0.9.5 (= ${binary:Version}),
+ libssl-dev,
  ${misc:Depends},
 Description: PoDoFo development files
  The PoDoFo library is a free, portable C++ library which includes classes to
@@ -37,8 +42,9 @@
 
 Package: libpodofo-utils
 Architecture: any
+Section: utils
 Depends:
- libpodofo0.9.4 (= ${binary:Version}),
+ libpodofo0.9.5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: PoDoFo utilities
@@ -52,7 +58,7 @@
  .
  This package contains tools for working with PDF files.
 
-Package: libpodofo0.9.4
+Package: libpodofo0.9.5
 Section: libs
 Architecture: any
 Depends:
