=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,12 @@
 	    -DPODOFO_BUILD_SHARED:BOOL=TRUE \
 	    -DPODOFO_BUILD_STATIC:BOOL=FALSE \
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_makeshlibs:
+	dh_makeshlibs -plibpodofo0.9.5 -V'libpodofo0.9.5 (>= 0.9.5-7)'
+	dh_makeshlibs --remaining-packages
 
 override_dh_compress:
 	dh_compress -X .pdf -X .plan
