=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+svn[0-9]+//,\
uversionmangle=s/([\d.]+)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://sf.net/podofo/podofo@ANY_VERSION@@ARCHIVE_EXT@
